# -*- Makefile -*-

CC	    = cc
CCPP	    = cc
LD	    = cc
AR 	    = wlib
DEPEND_TOOL = makedepend

AUV_HOME = $(AUV)
AUV_BIN_DIR = $(AUV_HOME)/bin

ifeq ($(DEBUG), YES)
DFLAG = -g
DBG = $(DFLAG) -DDEBUG
ifeq ($(DMEM), YES)
DEBUG = $(DBG) -DDMEM
else
DEBUG = $(DBG)
endif
else
DMEM = NO
DFLAG = 
DEBUG = 
endif

EXCEPTION_HANDLING = -WC,-xs
## OPTIMIZE = -4 -Os
OPTIMIZE = 

## MAP_OUTPUT = -S -ms -M
MAP_OUTPUT =

CFLAGS	    = -c $(DEBUG) $(MAP_OUTPUT) $(OPTIMIZE) -D_QNX -DUNIX  
CPPFLAGS    = -c $(DEBUG) $(MAP_OUTPUT) $(OPTIMIZE) -D_QNX -DUNIX \
	         $(EXCEPTION_HANDLING)
